Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ReadArchive Class Reference

`#include <ReadWrite.h>`

## Public Member Functions
| ReadArchive (size_t iNumStreams, bool iUseMMap)
| ReadArchive (const std::vector< std::istream * > &iStreams)
::Alembic::AbcCoreAbstract::ArchiveReaderPtr | operator() (const std::string &iFileName) const
::Alembic::AbcCoreAbstract::ArchiveReaderPtr | operator() (const std::string &iFileName, ::Alembic::AbcCoreAbstract::ReadArraySampleCachePtr iCache) const

## Detailed Description

Will return a shared pointer to the archive reader This version creates a cache associated with the archive.

The documentation for this class was generated from the following files:

- AbcCoreOgawa/ReadWrite.h
- AbcCoreOgawa/ReadWrite.cpp